List Tasks
/unified/crm/tasks
Query Parameters
Refer Specifying query parameters in Truto APIs
The task's owner
20 supported
The task's owner
The owner's name
The date and time of the task's creation
19 supported
The date and time of the task's last update
18 supported
The date and time of the task's due date
18 supported
The date and time of the task's completion
14 supported
The task's status
blockedclosedcompletecompleteddeferredincompletenot_startedopenpending
20 supported
opencompletedpendingopenclosedopencompletedopencompletedopencompletedcompleteincompletependingopencloseddeferrednot_startedblockedThe task's account
14 supported
The account's unique identifier
completed_atcreated_atdue_datestatussubjectupdated_at
8 supported
created_atupdated_atcreated_atupdated_atcreated_atupdated_atdue_datecreated_atupdated_atstatuscompleted_atsubjectsubjectcreated_atupdated_atdue_datedue_datecreated_atupdated_atcompleted_atcreated_atupdated_at1 supported1 required
The task's contact
16 supported1 required
The contact's unique identifier
The contact's unique identifier
The contact's name
3 supported
The task's subject
17 supported
The task's content
18 supported
The task's opportunity
9 supported
The opportunity's unique identifier
The opportunity's name
The task's lead
4 supported
The lead's unique identifier
The lead's name
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
By default the result attribute is an array of objects. This parameter allows you to specify a field in each result objects to use as key, which transforms the result array into an object with the array items keyed by the field. This is useful for when you want to use the result as a lookup table.
idIgnores the limit query parameter.
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The cursor to use for the next page of results. Pass this value as next_cursor in the query parameter in the next request to get the next page of results.
List of Tasks
The task's unique identifier
20 supported
The task's account
14 supported
1 property
The account's unique identifier
The date and time of the task's completion
14 supported
The task's contact
16 supported
2 properties
The contact's unique identifier
The contact's name
The task's content
18 supported
The date and time of the task's creation
19 supported
The date and time of the task's due date
18 supported
The unique identifier for the specific version of the resource.
1 supported
The task's lead
4 supported
2 properties
The lead's unique identifier
The lead's name
The task's opportunity
9 supported
2 properties
The opportunity's unique identifier
The opportunity's name
The task's owner
20 supported
2 properties
The owner's unique identifier
The owner's name
Raw data returned from the remote API call.
The task's status
opencompleted
20 supported
The task's subject
17 supported
The task's type
11 supported
2 properties
The type's unique identifier
The type's name
The date and time of the task's last update
18 supported
The task's urls
6 supported
2 properties
The task's URL type
The task's URL
curl -X GET 'https://api.truto.one/unified/crm/tasks?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/crm/tasks?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/crm/tasks"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.list(
'crm',
'tasks',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
async for item in truto_api.unified_api.list(
"crm",
"tasks",
{"integrated_account_id": "<integrated_account_id>"}
):
print(item)
asyncio.run(main())